返回

SKYDISCOVERY CHANGELOG

单机版

2017-07-04 3.2.0 :

Highlights:
  • tensorflow版本从1.0.0更新至1.1.0
  • 支持MRO
  • 支持Keras
  • 支持指定或根据机器情况自行判定安装 SkyDiscovery CPU 或 GPU 版本
  • bug fix
Updates:
  • python from 2.7.11-0 to 2.7.12-1
Added:
  • RevoMath-3.2.3
  • keras-2.0.3
  • tensorflow_cpu-1.1.0
  • tensorflow_gpu-1.1.0
Removed:
  • tensorflow-1.0.0

2017-4-12 3.1.0 :

Highlights:
  • tensorflow cpu版本从0.10更新至1.0.0,对应的产品为SkyDiscovery_Standard_Py2.7_CPU、SkyDiscovery_Standard_Py3.5_CPU
  • 追加了tensorflow gpu 1.0.0,对应产品为SkyDiscovery_Standard_Py2.7_GPU、SkyDiscovery_Standard_Py3.5_GPU
  • scikit-learn从0.17.1版本升级为0.18.1
  • 超过105个包被更新
Updates:
  • alabaster from 0.7.7 to 0.7.9
  • anaconda from 4.0.0 to 4.2.0
  • anaconda-client from 1.4.0 to 1.5.1
  • anaconda-navigator from 1.1.0 to 1.3.1
  • babel from 2.2.0 to 2.3.4
  • beautifulsoup4 from 4.4.1 to 4.5.1
  • blaze from 0.9.1 to 0.10.1
  • bokeh from 0.11.1 to 0.12.2
  • boto from 2.39.0 to 2.42.0
  • cffi from 1.5.2 to 1.7.0
  • cloudpickle from 0.1.1 to 0.2.1
  • clyent from 1.2.1 to 1.2.2
  • conda from 4.0.5 to 4.2.9
  • conda-build from 1.20.0 to 2.0.2
  • conda-env from 2.4.5 to 2.6.0
  • cryptography from 1.3 to 1.5
  • curl from 7.45.0 to 7.49.0
  • cython from 0.23.4 to 0.24.1
  • cytoolz from 0.7.5 to 0.8.0
  • dask from 0.8.1 to 0.11.0
  • datashape from 0.5.1 to 0.5.2
  • decorator form 4.0.9 to 4.0.10
  • dill from 0.2.4 to 0.2.5
  • enum34 from 1.1.2 to 1.1.6
  • flask from 0.10.1 to 0.11.1
  • funcsigs from 0.4 to 1.0.2
  • futures from 3.0.3 to 3.0.5
  • gevent from 1.1.0 to 1.1.2
  • greenlet from 0.4.9 to 0.4.10
  • h5py from 2.5.0 to 2.6.0
  • idna from 2.0 to 2.1
  • ipaddress from 1.0.14 to 1.0.16
  • ipykernel from 4.3.1 to 4.5.0
  • ipywidgets from 4.1.1 to 5.2.2
  • jsonschema from 2.4.0 to 2.5.1
  • jupyter_client from 4.2.2 to 4.4.0
  • jupyter_console from 4.1.1 to 5.0.0
  • jupyter_core from 4.1.0 to 4.2.0
  • libffi from 3.0.13 to 3.2.1
  • libpng from 1.6.17 to 1.6.22
  • libsodium from 1.0.3 to 1.0.10
  • llvmlite from 0.9.0 to 0.13.0
  • lxml from 3.6.0 to 3.6.4
  • matplotlib from 1.5.1 to 1.5.3
  • mistune from 0.7.2 to 0.7.3
  • mkl from 11.3.1 to 2017.0.1
  • nbconvert from 4.1.0 to 4.2.0
  • nbformat from 4.0.1 to 4.1.0
  • nltk from 3.2 to 3.2.1
  • notebook from 4.1.0 to 4.2.3
  • numba from 0.24.0 to 0.28.1
  • numexpr from 2.5 to 2.6.1
  • numpy from 1.10.4 to 1.11.1
  • odo from 0.4.2 to 0.5.0
  • pandas from 0.18.0 to 0.18.1
  • partd from 0.3.2 to 0.3.6
  • patchelf from 0.8.0 to 0.9.0
  • path.py from 8.1.2 to 8.2.1
  • patsy from 0.4.0 to 0.4.1
  • pickleshare from 0.5 to 0.7.4
  • pip from 8.1.1 to 8.1.2
  • ply from 3.8 to 3.9
  • protobuf 3.0.0 to 3.2.0
  • psutil from 4.1.0 to 4.3.1
  • pycurl from 7.19.5.3 to 7.43.0
  • pyflakes from 1.1.0 to 1.3.0
  • pygments from 2.1.1 to 2.1.3
  • pyopenssl from 0.15.1 to 16.0.0
  • pyparsing from 2.0.3 to 2.1.4
  • pyqt from 4.11.4 to 5.6.0
  • pytables from 3.2.2 to 3.2.3.1
  • pytest from 2.8.5 to 2.9.2
  • python from 2.7.11 to 2.7.12
  • python-dateutil from 2.5.1 to 2.5.3
  • pytz from 2016.2 to 2016.6.1
  • pyyaml from 3.11 to 3.12
  • pyzmq from 15.2.0 to 15.4.0
  • qt from 4.8.7 to 5.6.0
  • qtawesome from 0.3.2 to 0.3.3
  • qeconsole from 4.2.0 to 4.2.1
  • qtpy from 1.0 to 1.1.2
  • redis from 2.6.9 to 3.2.0
  • redis-py from 2.1.0.3 to 2.10.5
  • requests from 2.9.1 to 2.11.1
  • scikit-learn from 0.17.1 to 0.18.1
  • scipy from 0.17.0 to 0.18.1
  • setuptools from 20.3 to 27.2.0
  • sip from 4.16.9 to 4.18
  • sockjs-tornado from 1.0.1 to 1.0.3
  • sphinx from 1.3.5 to 1.4.6
  • spyder from 2.3.8 to 3.0.0
  • sqlalchemy from 1.0.12 to 1.0.13
  • sqlite from 3.9.2 to 3.13.0
  • terminado from 0.5 to 0.6
  • toolz from 0.7.4 to 0.8.0
  • tornado from 4.3 to 4.4.1
  • traitlets from 4.2.1 to 4.3.0
  • tensorflow from 0.10.0 to 1.0.0
  • werkzeug from 0.11.4 to 0.11.11
  • tensorflow from 0.10.0 to 1.0.0
  • xlrd from 0.9.4 to 1.0.0
  • xlsxwriter from 0.8.4 to 0.9.3
  • xlwt from 1.0.0 to 1.1.2
  • xz from 5.0.5 to 5.2.2
  • zeromq from 4.1.3 to 4.1.4
Added:
  • _license 1.1
  • _nb_ext_conf 0.3.0
  • anaconda-clean 1.0.0
  • astroid 1.4.7
  • backports 1.0
  • click 6.6
  • configparser 3.5.0
  • contextlib2 0.5.3
  • dbus 1.10.10
  • entrypoints 0.2.2
  • expat 2.1.0
  • filelock 2.0.6
  • functools32 3.2.3.2
  • get_terminal_size 1.0.0
  • gst-plugins-base 1.8.0
  • gstreamer 1.8.0
  • imagesize 0.7.1
  • lazy-object-proxy 1.2.1
  • libgfortran 3.0.0
  • libxcb 1.12
  • nb_anacondacloud 1.2.0
  • nb_conda 2.0.0
  • nb_conda_kernels 2.0.0
  • nbpresent 3.0.2
  • pathlib2 2.1.0
  • pkginfo 1.3.2
  • prompt_toolkit 1.0.3
  • pylint 1.5.4
  • wcwidth 0.1.7
  • widgetsnbextension 1.2.6
  • wrapt 1.10.6
Removed:
  • _cache
  • conda-manager
  • libprotobuf
  • sphinx_rtd_theme
  • util-linux

2017-1-15 2.1.0:

Highlights:
  • 集成了超过180个包,根据不同的python版本,产品分别为SkyDiscovery_Standard_Py2.7、SkyDiscovery_Standard_Py3.5
  • 支持R语言
  • 支持MKL特性
  • 支持TensorFlow-0.10 (CPU版本)

多机版

2017-07-04 3.2.0 :

Highlights:
  • tensorflow版本从1.0.0更新至1.1.0
  • 支持Keras
  • 支持指定或根据机器情况自行判定安装 SkyDiscovery CPU 或 GPU 版本
  • Spark中支持REDIS,GLINT,XGBOOST,ANGEL
  • Spark中实现了分布式SVRG求解器,基于该求解器实现的LR/SVM/PCA/SVD等算法比Spark MLlib原生算法快2-10倍
  • Spark中实现了对GPU的支持,使得使用GPU资源的算法比原生的CPU资源快2-10倍
  • 支持tensorflowonspark
  • 实现磁盘空间检测
  • 实现自定义安装路径
  • bug fix
Updates:
  • python from python-2.7.11-0 to python-2.7.12-1
Added:
  • RevoMath-3.2.3
  • keras-2.0.3
  • tensorflow_cpu-1.1.0
  • tensorflow_gpu-1.1.0
Removed:
  • tensorflow-1.0.0

2017-4-12 3.1.0 :

Highlights:
  • tensorflow cpu版本从0.10更新至1.0.0,对应的产品为SkyDiscovery_Enterprise_Py2.7_CPU、SkyDiscovery_Enterprise_Py3.5_CPU
  • 追加了tensorflow gpu 1.0.0,对应产品为SkyDiscovery_Enterprise_Py2.7_GPU、SkyDiscovery_Enterprise_Py3.5_GPU
  • scikit-learn从0.17.1版本升级为0.18.1
  • spark版本从2.0.1升级至2.1.0
  • 追加了RDMA功能,体现在alluxio、spark包中
  • 超过106个包被更新
Updates:
  • alabaster from 0.7.7 to 0.7.9
  • anaconda from 4.0.0 to 4.2.0
  • anaconda-client from 1.4.0 to 1.5.1
  • anaconda-navigator from 1.1.0 to 1.3.1
  • babel from 2.2.0 to 2.3.4
  • beautifulsoup4 from 4.4.1 to 4.5.1
  • blaze from 0.9.1 to 0.10.1
  • bokeh from 0.11.1 to 0.12.2
  • boto from 2.39.0 to 2.42.0
  • cffi from 1.5.2 to 1.7.0
  • cloudpickle from 0.1.1 to 0.2.1
  • clyent from 1.2.1 to 1.2.2
  • conda from 4.0.5 to 4.2.9
  • conda-build from 1.20.0 to 2.0.2
  • conda-env from 2.4.5 to 2.6.0
  • cryptography from 1.3 to 1.5
  • curl from 7.45.0 to 7.49.0
  • cython from 0.23.4 to 0.24.1
  • cytoolz from 0.7.5 to 0.8.0
  • dask from 0.8.1 to 0.11.0
  • datashape from 0.5.1 to 0.5.2
  • decorator form 4.0.9 to 4.0.10
  • dill from 0.2.4 to 0.2.5
  • enum34 from 1.1.2 to 1.1.6
  • flask from 0.10.1 to 0.11.1
  • funcsigs from 0.4 to 1.0.2
  • futures from 3.0.3 to 3.0.5
  • gevent from 1.1.0 to 1.1.2
  • greenlet from 0.4.9 to 0.4.10
  • h5py from 2.5.0 to 2.6.0
  • idna from 2.0 to 2.1
  • ipaddress from 1.0.14 to 1.0.16
  • ipykernel from 4.3.1 to 4.5.0
  • ipython from 4.1.2 to 5.1.0
  • ipywidgets from 4.1.1 to 5.2.2
  • jsonschema from 2.4.0 to 2.5.1
  • jupyter_client from 4.2.2 to 4.4.0
  • jupyter_console from 4.1.1 to 5.0.0
  • jupyter_core from 4.1.0 to 4.2.0
  • libffi from 3.0.13 to 3.2.1
  • libpng from 1.6.17 to 1.6.22
  • libsodium from 1.0.3 to 1.0.10
  • llvmlite from 0.9.0 to 0.13.0
  • lxml from 3.6.0 to 3.6.4
  • matplotlib from 1.5.1 to 1.5.3
  • mistune from 0.7.2 to 0.7.3
  • mkl from 11.3.1 to 2017.0.1
  • nbconvert from 4.1.0 to 4.2.0
  • nbformat from 4.0.1 to 4.1.0
  • nltk from 3.2 to 3.2.1
  • notebook from 4.1.0 to 4.2.3
  • numba from 0.24.0 to 0.28.1
  • numexpr from 2.5 to 2.6.1
  • numpy from 1.10.4 to 1.11.1
  • odo from 0.4.2 to 0.5.0
  • pandas from 0.18.0 to 0.18.1
  • partd from 0.3.2 to 0.3.6
  • patchelf from 0.8.0 to 0.9.0
  • path.py from 8.1.2 to 8.2.1
  • patsy from 0.4.0 to 0.4.1
  • pickleshare from 0.5 to 0.7.4
  • pip from 8.1.1 to 8.1.2
  • ply from 3.8 to 3.9
  • protobuf 3.0.0 to 3.2.0
  • psutil from 4.1.0 to 4.3.1
  • ptyprocess from 0.5 to 0.5.1
  • pycurl from 7.19.5.3 to 7.43.0
  • pyflakes from 1.1.0 to 1.3.0
  • pygments from 2.1.1 to 2.1.3
  • pyopenssl from 0.15.1 to 16.0.0
  • pyparsing from 2.0.3 to 2.1.4
  • pyqt from 4.11.4 to 5.6.0
  • pytables from 3.2.2 to 3.2.3.1
  • pytest from 2.8.5 to 2.9.2
  • python from 2.7.11 to 2.7.12
  • python-dateutil from 2.5.1 to 2.5.3
  • pytz from 2016.2 to 2016.6.1
  • pyyaml from 3.11 to 3.12
  • pyzmq from 15.2.0 to 15.4.0
  • qt from 4.8.7 to 5.6.0
  • qtawesome from 0.3.2 to 0.3.3
  • qeconsole from 4.2.0 to 4.2.1
  • qtpy from 1.0 to 1.1.2
  • redis from 2.6.9 to 3.2.0
  • redis-py from 2.1.0.3 to 2.10.5
  • requests from 2.9.1 to 2.11.1
  • scikit-learn from 0.17.1 to 0.18.1
  • scipy from 0.17.0 to 0.18.1
  • setuptools from 20.3 to 27.2.0
  • sip from 4.16.9 to 4.18
  • sockjs-tornado from 1.0.1 to 1.0.3
  • sphinx from 1.3.5 to 1.4.6
  • spyder from 2.3.8 to 3.0.0
  • sqlalchemy from 1.0.12 to 1.0.13
  • sqlite from 3.9.2 to 3.13.0
  • terminado from 0.5 to 0.6
  • toolz from 0.7.4 to 0.8.0
  • tornado from 4.3 to 4.4.1
  • traitlets from 4.2.1 to 4.3.0
  • tensorflow from 0.10.0 to 1.0.0
  • werkzeug from 0.11.4 to 0.11.11
  • xlrd from 0.9.4 to 1.0.0
  • xlsxwriter from 0.8.4 to 0.9.3
  • xlwt from 1.0.0 to 1.1.2
  • xz from 5.0.5 to 5.2.2
  • zeromq from 4.1.3 to 4.1.4
  • spark from 2.0.1 to 2.1.0
Added:
  • _license 1.1
  • _nb_ext_conf 0.3.0
  • anaconda-clean 1.0.0
  • astroid 1.4.7
  • backports 1.0
  • click 6.6
  • configparser 3.5.0
  • contextlib2 0.5.3
  • dbus 1.10.10
  • entrypoints 0.2.2
  • expat 2.1.0
  • filelock 2.0.6
  • functools32 3.2.3.2
  • get_terminal_size 1.0.0
  • gst-plugins-base 1.8.0
  • gstreamer 1.8.0
  • imagesize 0.7.1
  • lazy-object-proxy 1.2.1
  • libgfortran 3.0.0
  • libxcb 1.12
  • nb_anacondacloud 1.2.0
  • nb_conda 2.0.0
  • nb_conda_kernels 2.0.0
  • nbpresent 3.0.2
  • pathlib2 2.1.0
  • pkginfo 1.3.2
  • prompt_toolkit 1.0.3
  • pylint 1.5.4
  • wcwidth 0.1.7
  • widgetsnbextension 1.2.6
  • wrapt 1.10.6
Removed:
  • _cache
  • conda-manager
  • libprotobuf
  • sphinx_rtd_theme
  • util-linux

2017-1-15 2.1.0:

Highlights:
  • 集成了超过190个包,根据不同的python版本,产品分别为SkyDiscovery_Enterprise_Py2.7、SkyDiscovery_Enterprise_Py3.5
  • 支持R语言
  • 支持MKL特性
  • 支持spark
  • 支持alluxio
  • 支持TensorFlow-0.10 (CPU版本)